petsc-3.7.1 2016-05-15
Report Typos and Errors

# CharacteristicSetType

Builds Characteristic for a particular solver.

### Synopsis

    #include "petsccharacteristic.h"
    PetscErrorCode CharacteristicSetType(Characteristic c, CharacteristicType type)

Logically Collective on Characteristic Many br

### Input Parameters

| c | - the method of characteristics context Many br
| type | - a known method Many br

### Options Database Key

-characteristic_type <method> -Sets the method; use -help for a list Many brof available methods Many br

### Notes

See "include/petsccharacteristic.h" for available methods Many br

Normally, it is best to use the CharacteristicSetFromOptions() command and Many brthen set the Characteristic type from the options database rather than by using Many brthis routine. Using the options database provides the user with Many brmaximum flexibility in evaluating the many different Krylov methods. Many brThe CharacteristicSetType() routine is provided for those situations where it Many bris necessary to set the iterative solver independently of the command Many brline or options database. This might be the case, for example, when Many brthe choice of iterative solver changes during the execution of the Many brprogram, and the user's application is taking responsibility for Many brchoosing the appropriate method. In other words, this routine is Many brnot for beginners. Many br

Many br

### Keywords

Characteristic, set, method

### See Also

CharacteristicType

Level:intermediate
Location:src/ts/characteristic/interface/characteristic.c
Index of all SemiLagrange routines
Table of Contents for all manual pages
Index of all manual pages